%define upstream_name    IP-QQWry
%define upstream_version 0.0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple interface for QQWry IP database(file)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
'QQWry.Dat' the http://www.cz88.net/fox/ manpage is an IP file database. It
provides some useful infomation such as the geographical position of the
host bound with some IP address, the IP's owner, etc. the IP::QQWry manpage
provides a simple interface for this file database.

For more about the format of the database, take a look at this: the
http://lumaqq.linuxsir.org/article/qqwry_format_detail.html manpage

Caveat: The 'QQWry.Dat' database uses gbk or big5 encoding, 'IP::QQWry'
doesn't provide any encoding conversion utility, so if you want some other
encoding, you have to do it yourself. (BTW, the Encode manpage is a great
module for this.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 19 2020 tv <tv> 0.0.21-1.mga8
+ Revision: 1596692
- restore BR on perl(inc::Module::Install)
- update to 0.0.21

* Wed Feb 12 2020 umeabot <umeabot> 0.0.20-11.mga8
+ Revision: 1504804
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.0.20-10.mga7
+ Revision: 1284307
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.0.20-9.mga7
+ Revision: 1165033
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 0.0.20-8.mga7
+ Revision: 1158635
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.0.20-7.mga6
+ Revision: 1028811
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.20-6.mga6
+ Revision: 944132
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.20-5.mga5
+ Revision: 748291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.20-4.mga5
+ Revision: 685096
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.20-3.mga4
+ Revision: 512312
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.20-2.mga3
+ Revision: 368637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.0.20-1.mga2
+ Revision: 172045
- update to 0.0.20

* Tue Nov 22 2011 kharec <kharec> 0.0.16-1.mga2
+ Revision: 170967
- imported package perl-IP-QQWry

